package com.ruoyi.iit.mapper;

import com.ruoyi.iit.domain.IitPushUserRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 消息管理Mapper接口
 *
 * @author Hao Li
 * @date 2025-04-11
 */
public interface IitPushUserRelMapper {
    /**
     * 查询消息管理
     *
     * @param id 消息管理主键
     * @return 消息管理
     */
    public IitPushUserRel selectIitPushUserRelById(Long id);

    /**
     * 查询消息管理列表
     *
     * @param iitPushUserRel 消息管理
     * @return 消息管理集合
     */
    public List<IitPushUserRel> selectIitPushUserRelList(IitPushUserRel iitPushUserRel);

    /**
     * 新增消息管理
     *
     * @param iitPushUserRel 消息管理
     * @return 结果
     */
    public int insertIitPushUserRel(IitPushUserRel iitPushUserRel);

    /**
     * 修改消息管理
     *
     * @param iitPushUserRel 消息管理
     * @return 结果
     */
    public int updateIitPushUserRel(IitPushUserRel iitPushUserRel);

    /**
     * 删除消息管理
     *
     * @param id 消息管理主键
     * @return 结果
     */
    public int deleteIitPushUserRelById(Long id);

    /**
     * 批量删除消息管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIitPushUserRelByIds(Long[] ids);

    /**
     * 批量新增消息管理
     *
     * @param pushUserRelList 消息管理集合
     * @return 结果
     */
    void insertIitPushUserRelBatch(List<IitPushUserRel> pushUserRelList);

    /**
     * 消息管理菜单，仅查询自己的消息
     * @param iitPushUserRel
     * @return
     */
    public List<IitPushUserRel> selectMyselfMessage(IitPushUserRel iitPushUserRel);

    /**
     * 查询消息详情
     * @param id
     * @return
     */
    public IitPushUserRel getMessageInfo(@Param("id") Long id);
}
